function makeplot(name,ddn,TNload,TNconc,Qflow)

ydif = 0.03;

figland('on');

subplot(3,1,1);
plot(ddn,TNload,'.');
datetick;
set(gca,'xlim',[datenum(2001,1,1) datenum(2017,12,31);]);
set(gca,'ylim',[0 max(get(gca,'ylim'))]);
grid on;
ylabel('TN Load [lb yr^-1]');
pos = get(gca,'position');
set(gca,'position',[pos(1),pos(2)-ydif,pos(3),pos(4)+2*ydif]);
set(gca,'xticklabel',[]);
title(name);

subplot(3,1,2);
plot(ddn,TNconc,'.');
datetick;
set(gca,'xlim',[datenum(2001,1,1) datenum(2017,12,31);]);
set(gca,'ylim',[0 max(get(gca,'ylim'))]);
grid on;
ylabel('TN Conc [mg L^-1]');
pos = get(gca,'position');
set(gca,'position',[pos(1),pos(2)-ydif,pos(3),pos(4)+2*ydif]);
set(gca,'xticklabel',[]);

subplot(3,1,3);
plot(ddn,Qflow,'.');
datetick;
set(gca,'xlim',[datenum(2001,1,1) datenum(2017,12,31);]);
set(gca,'ylim',[0 max(get(gca,'ylim'))]);
grid on;
ylabel('Flow [MGD]');
pos = get(gca,'position');
set(gca,'position',[pos(1),pos(2)-ydif,pos(3),pos(4)+2*ydif]);

set(gcf,'paperorientation','portrait');
eval(sprintf('print -dpng plt/%s;',name));
delete(gcf);