% Inventory 21-May-2019 

% Create mat file with useful subset of spreadsheet data 
%   Flow: Q(avg&max)     [MGD] 
%   Concs [mg/l]:   TN NH4 NO2 NO3 TKN (all avg&max) / NO32 (max only)
%   TN-Load(avg)         [lb/d]

% also make series of plots that graphically show presence/absence:
%       the date ranges and frequencies, for each species

% basic initial setup
wipe;
modprelims;

% retrieve inputs
ingrps = { 'Config'; }; inputsdiary;

% for later
readme = 'Q[MGD];TN/NH4/NO2/NO3/TKN/NO32[mg/L];TNLd[lb/d]';

% read in entire spreadsheet's data
fprintf('reading data\n');
[~,~,raw] = xlsread([indir infil],'A5:T3309');
% keep only: facility, Location, Parameter, Stat, LimType, 
%           EndDate, DMR Value
raw = raw(:,[3 7 9 13 14 15 17]);
% keep only Location=1
% LimType='Q1','Q2','C1','C2','C3'
% Parameter= 50050(flow) 00610(NH4) (00615(NO2) 00620(NO3) 
%       00625(TKN) 00630(NO2+NO3)
ind = find( strcmp(raw(:,2)','1') ... % LSD 
           & (strcmp(raw(:,5)','Q1') | strcmp(raw(:,5)','Q2') ...
             | (strcmp(raw(:,5)','C1') ) | (strcmp(raw(:,5)','C2') ) |...
             (strcmp(raw(:,5)','C3')) )...
           & ( strcmp(raw(:,3)','50050')  ...
              | strcmp(raw(:,3)','00610') | strcmp(raw(:,3)','00615') ...
              | strcmp(raw(:,3)','00620') | strcmp(raw(:,3)','00625') ...
              | strcmp(raw(:,3)','00630') ) ) ;
clear tmp;
raw = raw(ind,:);
clear ind;


for iw = 1:length(facs)
    fprintf('getting data for %s\n',facs{iw}{1});
    ind = find( strcmp(raw(:,1)',facs{iw}{2}) );
    traw = raw(ind,[3 4 5 6 7]); % param, stat, limtyp, date, val
    clear ind;
    mon = datevec(traw(:,4)); % 
    yr = mon(:,1)';
    mon = mon(:,2)';
    traw = traw(:,[1 2 3 5]); % param stat limtyp val
    [fh,gah] = figport('on');
    for imon = 1:12
        subplot(12,1,imon);
        hold;
        pos = get(gca,'position');
        set(gca,'position',[pos(1) pos(2)-plt.dif pos(3) pos(4)+2*plt.dif]);
        clear pos;
        axis([0 14 2000 2018]);
        set(gca,'xtick',[0:14]);
        if imon == 12
            lbls{15,1} = [];
            lbls(2:14) = strngs;
            set(gca,'xticklabels',lbls)
            xtickangle(90);
        else
            set(gca,'xticklabels',[]);
        end
        ylabel(datestr(datenum(2000,imon,1),'mmm'));
        if imon == 1
            title(facs{iw}{1});
        end
        % create diagnostic plot
        for i = 1:length(clrs)
            ind = find( strcmp(traw(:,1)',prms{i}) & ...
                        strcmp(traw(:,2)',descs{i}) & ...
                        strcmp(traw(:,3)',limtyps{i}) & ...
                           mon == imon);
            ph = plot((i)*ones(size(ind)),yr(ind),[symbs{i} clrs{i}]);
            set(ph,'markerfacecolor',clrs{i});
            clear ind ph;
        end
        clear i
    end
    clear imon;
    eval(sprintf('print -dpng plt/%s;',facs{iw}{1}));
    delete(gcf);
    % create matrix of values for downstream modules
    for i = 1:length(nams)
        dat = nan*ones(1,12*17);
        dn = nan*ones(size(dat));
        for iyr = 2001:2017
            for imon = 1:12
            ind = find( strcmp(traw(:,1)',prms{i}) & ...
                        strcmp(traw(:,2)',descs{i}) & ...
                        strcmp(traw(:,3)',limtyps{i}) & ...
                        yr == iyr & ...
                        mon == imon); 
                 if length(ind)>1
                     fprintf('more than one value');
                     keyboard;
                 elseif length(ind)==1
                     dat(imon+(iyr-2001)*12) = traw{ind,4};
                 end 
                 dn(imon+(iyr-2001)*12) = datenum(iyr,imon,15);
                 clear ind;
            end
            clear imon;
        end
        clear iyr;
        eval(sprintf('%s = dat;',nams{i}));
        clear dat;
    end
    clear i;
    eval(sprintf('save dat/%s readme dn Q NH4 NO2 NO3 TKN NO32;',...
        facs{iw}{1}));
    clear dn Q NH4 NO2 NO3 TKN NO32;        
    clear imon yr mon traw;
end
clear iw raw;



% end of module
diary off;